link_libraries (
   ${GBM_LDFLAGS}
	piglitutil
)

if(PIGLIT_HAS_GBM_BO_GET_FD_FOR_PLANE AND LIBDRM_FOUND)
   include_directories(
      ${LIBDRM_INCLUDE_DIRS}
   )

   piglit_add_executable(gbm-multi-plane gbm-multi-plane.c)
endif()

if(PIGLIT_HAS_GBM)
   piglit_add_executable(gbm-device gbm-device.c)
endif()

# vim: ft=cmake:
